Package com.independentsoft.office.spreadsheet.pivotTables

# Class BooleanValue

java.lang.Object
com.independentsoft.office.spreadsheet.pivotTables.ItemValue
com.independentsoft.office.spreadsheet.pivotTables.BooleanValue

public class BooleanValue extends ItemValue
The Class BooleanValue.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BooleanValue()`
  Instantiates a new boolean value.
  `BooleanValue​(boolean value)`
  Instantiates a new boolean value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BooleanValue`
  `clone()`
  `String`
  `getCaption()`
  Gets the caption.
  `int`
  `getCount()`
  Gets the count.
  `int`
  `getIndex()`
  Gets the index.
  `boolean`
  `getValue()`
  Gets the value.
  `boolean`
  `hasCalculatedValue()`
  Checks for calculated value.
  `boolean`
  `isUnusedItem()`
  Checks if is unused item.
  `void`
  `setCalculatedValue​(boolean hasCalculatedValue)`
  Sets the calculated value.
  `void`
  `setCaption​(String caption)`
  Sets the caption.
  `void`
  `setCount​(int count)`
  Sets the count.
  `void`
  `setIndex​(int index)`
  Sets the index.
  `void`
  `setUnusedItem​(boolean isUnusedItem)`
  Sets the unused item.
  `void`
  `setValue​(boolean value)`
  Sets the value.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BooleanValue

    public BooleanValue()
    Instantiates a new boolean value.

  - ### BooleanValue

    public BooleanValue​(boolean value)
    Instantiates a new boolean value.
    Parameters:
      `value` - the value

- ## Method Details

  - ### clone

    public BooleanValue clone()
    Specified by:
      `clone` in class `ItemValue`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getCaption

    public String getCaption()
    Gets the caption.
    Returns:
      the caption

  - ### setCaption

    public void setCaption​(String caption)
    Sets the caption.
    Parameters:
      `caption` - the new caption

  - ### getCount

    public int getCount()
    Gets the count.
    Returns:
      the count

  - ### setCount

    public void setCount​(int count)
    Sets the count.
    Parameters:
      `count` - the new count

  - ### hasCalculatedValue

    public boolean hasCalculatedValue()
    Checks for calculated value.
    Returns:
      true, if successful

  - ### setCalculatedValue

    public void setCalculatedValue​(boolean hasCalculatedValue)
    Sets the calculated value.
    Parameters:
      `hasCalculatedValue` - the new calculated value

  - ### isUnusedItem

    public boolean isUnusedItem()
    Checks if is unused item.
    Returns:
      true, if is unused item

  - ### setUnusedItem

    public void setUnusedItem​(boolean isUnusedItem)
    Sets the unused item.
    Parameters:
      `isUnusedItem` - the new unused item

  - ### getValue

    public boolean getValue()
    Gets the value.
    Returns:
      the value

  - ### setValue

    public void setValue​(boolean value)
    Sets the value.
    Parameters:
      `value` - the new value

  - ### getIndex

    public int getIndex()
    Gets the index.
    Returns:
      the index

  - ### setIndex

    public void setIndex​(int index)
    Sets the index.
    Parameters:
      `index` - the new index